Info about FP 1.1

This is the right place to report general bugs, make suggestions or ask for help.
User avatar
musicletter
Posts: 14
Joined: Thu Feb 28, 2019 10:59 pm

Info about FP 1.1

Post by musicletter » Sat Apr 04, 2020 2:25 pm

Hello. Having modified "footer", "header" and other aesthetic files such as, for example, the menu, I would have a question. What files do I need to replace to go to version 1.1 to work in the php 7 environment? Now I'm at version 1.03 and php 5.6.x environment
Thanks

laborix
Posts: 18
Joined: Sat Feb 16, 2019 3:51 pm

Re: Info about FP 1.1

Post by laborix » Sun Apr 05, 2020 7:52 am

Caution: First of all, I don't know what FP plugins do you use and if they outside the Flatpress 1.1 Core System, so there is the possibility that they will not work with PHP 7.x.

I would recommend the following steps for testing a update to Flatpress 1.1.

Create a subfolder on your web space
Sample: … musicletter.it/myupdatetest01

Transfer the officially Flatpress 1.1 Version into this subfolder and run the Setup procedure
- test Login
- test create a entry

Then made a full backup of current Flatpress 1.0.3 blog
Take a look here: https://wiki.flatpress.org/en:doc:basic:upgrade

After that transfer follwing files to your … musicletter.it/myupdatetest01 subfolder
- the complete Flatpress Language pack for your language
- fp-content/attachs
- fp-content/content
- fp-content/images
- fp-interface/themes/"your musicletter theme"
- fp-plugins/"your personal plugins"

Open your browser and go to … musicletter.it/myupdatetest01
- Log in
- go to control panel
- choose Maintain in the Administration area
- click on Rebuild index
- choose Themes in the Administration area
- switch to "your musicletter theme"
- choose Plugins in the Administration area
- activate "your personal plugins"

Then test, test and test again. If all work fine then switch the complete domain/website to php 7.x and test again. If your test environment work with PHP 7.x you can delete the subfolder myupdatetest01 and switch back to PHP 5.6.

Find a time to update your website to PHP 7.x. But please remember, Flatpress 1.1 does not work with PHP 7.4. The offcially Flatpress 1.1 is running on PHP 5.6/7.1/7.2 and 7.3.

User avatar
musicletter
Posts: 14
Joined: Thu Feb 28, 2019 10:59 pm

Re: Info about FP 1.1

Post by musicletter » Mon Apr 06, 2020 12:25 pm

Thanks for the precise explanation. I'm not very skilled but I'll try. One last question: having also modified config and other files do you think it is risky?
In short: could I mofidicate the files strictly necessary for operation in the php 7 environment?

laborix
Posts: 18
Joined: Sat Feb 16, 2019 3:51 pm

Re: Info about FP 1.1

Post by laborix » Mon Apr 06, 2020 3:53 pm

musicletter wrote:
Mon Apr 06, 2020 12:25 pm
... One last question: having also modified config and other files do you think it is risky ...
I'm not sure what you mean. But try this steps by your own risk and after this you know it.

Download your complete musicletter folder with all content from your webspace. Backup done.

Download and extract the Flatpress 1.1, then move the whole content of Flatpress 1.1 to your musicletter folder and override all files on the webspace. Update done, a quick and dirty method.

Test your Blog with PHP 7.x. But remind, it's possible, that your visitors see all errors or something else what is going wrong.

The way back.
If something going wrong, delete all content in your musicletter Webspace folder and upload your backup.

User avatar
musicletter
Posts: 14
Joined: Thu Feb 28, 2019 10:59 pm

Re: Info about FP 1.1

Post by musicletter » Mon Apr 06, 2020 11:00 pm

Sorry, at moment can I change fp 1.03 php 5.x in fp 103 php 7?

https://www.flatpress.org/2018/12/16/be ... g-release/

How can do It?

User avatar
musicletter
Posts: 14
Joined: Thu Feb 28, 2019 10:59 pm

Re: Info about FP 1.1

Post by musicletter » Mon Apr 06, 2020 11:36 pm

I want try before with this. What do you think?

https://github.com/flatpressblog/flatpr ... 03php7.zip

User avatar
musicletter
Posts: 14
Joined: Thu Feb 28, 2019 10:59 pm

Re: Info about FP 1.1

Post by musicletter » Tue Apr 07, 2020 8:19 am

I tried this morning to replace it with the new 1.03 fp files. Everything worked fine, but not in my server's php 7.2.16 environment. In fact, the installed version is up to php 7.1.
Maybe I'm repetitive: but is there the possibility to take only specific "core" type files and others to update it to php 7.2.16 versions?

User avatar
musicletter
Posts: 14
Joined: Thu Feb 28, 2019 10:59 pm

Re: Info about FP 1.1 (doesn't work with php 7.2.16)

Post by musicletter » Tue Apr 07, 2020 10:01 am

Dear Flatpress friend, thank you for your commitment and help. With difficulty I managed to correctly update to FP 1.1 keeping my aesthetic and functional changes. Unfortunately, however, this latest version of Flatpress does not work with php 7.2.16 and although I have been fond of this platform for over 10 years, I believe, if it will not be updated, to migrate the site to Wordpress as soon as possible. Obviously I hope that the computer minds of this site (I'm just one who writes about music) can find an update. Thank you so much.
Immagine.png
Immagine.png (89.4 KiB) Viewed 582 times

laborix
Posts: 18
Joined: Sat Feb 16, 2019 3:51 pm

Re: Info about FP 1.1 (doesn't work with php 7.2.16)

Post by laborix » Wed Apr 08, 2020 4:06 pm

musicletter wrote:
Tue Apr 07, 2020 10:01 am
... this latest version of Flatpress does not work with php 7.2.16 ...
Sure? I'm running more than one FP 1.1 on PHP 7.2 and PHP 7.3. Funny, but ok :)
musicletter wrote:
Tue Apr 07, 2020 10:01 am
… to migrate the site to Wordpress as soon as possible ...
Feel free to do this :)

User avatar
Arvid
FlatPress Coder
Posts: 87
Joined: Sat Jan 26, 2019 7:40 pm
Contact:

Re: Info about FP 1.1 (doesn't work with php 7.2.16)

Post by Arvid » Wed Apr 15, 2020 1:22 pm

musicletter wrote:
Tue Apr 07, 2020 10:01 am
Unfortunately, however, this latest version of Flatpress does not work with php 7.2.16
This is a statement I doubt hardly. I ran FlatPress in many environments, including PHP 7.2. How does "it does not work" look in detail?
The error messages posted on the other topic do look more like a incomplete update.
musicletter wrote:
Mon Apr 06, 2020 11:36 pm
I want try before with this. What do you think?

https://github.com/flatpressblog/flatpr ... 03php7.zip
The update package for 1.1 covers every 1.0 version, including 1.0.3 - no need to go multiple steps.
Helpful FlatPress links: Project blog 📝 - FlatPress wiki 📖 - FlatPress@Twitter 🐦
Stay up to date with our feeds: Forum RSS feed 📜 - Project blog RSS feed 📜


🇩🇪 Habe aktuell für meinen Arbeitgeber hier im Ruhrgebiet eine Stelle zu besetzen! 🇩🇪
- Softwareentwickler (Webanwendungen) - unbefristet, sofort

Post Reply

Who is online

Users browsing this forum: No registered users and 6 guests